## ros-one-pilz-industrial-motion-planner-testutils 1.1.16-49jammy.20251023.1725

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(pilz_industrial_motion_planner_testutils)

find_package(catkin REQUIRED COMPONENTS
  tf2_eigen
  moveit_core
  moveit_msgs
)

find_package(Boost REQUIRED COMPONENTS)

################
## Clang tidy ##
################
if(CATKIN_ENABLE_CLANG_TIDY)
  find_program(
    CLANG_TIDY_EXE
    NAMES "clang-tidy"
    DOC "Path to clang-tidy executable"
    )
  if(NOT CLANG_TIDY_EXE)
    message(FATAL_ERROR "clang-tidy not found.")
  else()
    message(STATUS "clang-tidy found: ${CLANG_TIDY_EXE}")
    set(CMAKE_CXX_CLANG_TIDY "${CLANG_TIDY_EXE}")
  endif()
endif()

###################################
## catkin specific configuration ##
###################################
catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS moveit_core moveit_msgs
  DEPENDS Boost
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
)

## Declare a C++ library
add_library(${PROJECT_NAME}
  src/cartesianconfiguration.cpp
  src/jointconfiguration.cpp
  src/robotconfiguration.cpp
  src/sequence.cpp
  src/xml_testdata_loader.cpp
)

## Specify libraries to link a library or executable target against
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
)

add_dependencies(${PROJECT_NAME}
  ${catkin_EXPORTED_TARGETS})

#############
## Install ##
#############

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

=== debian/changelog ===
ros-one-pilz-industrial-motion-planner-testutils (1.1.16-49jammy.20251023.1725) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 23 Oct 2025 17:25:57 +0000

ros-one-pilz-industrial-motion-planner-testutils (1.1.16-0jammy) jammy; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-pilz-industrial-motion-planner-testutils (1.1.15-0jammy) jammy; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-pilz-industrial-motion-planner-testutils (1.1.14-0jammy) jammy; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 27 May 2024 00:00:00 -0000

ros-one-pilz-industrial-motion-planner-testutils (1.1.13-0jammy) jammy; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-pilz-industrial-motion-planner-testutils (1.1.12-0jammy) jammy; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sat, 13 May 2023 00:00:00 -0000

ros-one-pilz-industrial-motion-planner-testutils (1.1.11-0jammy) jammy; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-pilz-industrial-motion-planner-testutils (1.1.10-0jammy) jammy; urgency=high

  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Contributors: Michael Görner

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-pilz-industrial-motion-planner-testutils (1.1.9-0jammy) jammy; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-pilz-industrial-motion-planner-testutils (1.1.8-0jammy) jammy; urgency=high

  * Avoid downgrading default C++ standard (#3043 <https://github.com/ros-planning/moveit/issues/3043>)
  * Contributors: Jochen Sprickerhof

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-pilz-industrial-motion-planner-testutils (1.1.7-0jammy) jammy; urgency=high

  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Contributors: Jochen Sprickerhof

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-pilz-industrial-motion-planner-testutils (1.1.6-0jammy) jammy; urgency=high

  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Robert Haschke, pvanlaar

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-pilz-industrial-motion-planner-testutils (1.1.5-0jammy) jammy; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 23 May 2021 00:00:00 -0000

ros-one-pilz-industrial-motion-planner-testutils (1.1.4-0jammy) jammy; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 12 May 2021 00:00:00 -0000

ros-one-pilz-industrial-motion-planner-testutils (1.1.3-0jammy) jammy; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-pilz-industrial-motion-planner-testutils (1.1.2-0jammy) jammy; urgency=high

  * Fix formatting errors
  * Replaced eigen+kdl conversions with tf2_eigen + tf2_kdl (#2472 <https://github.com/ros-planning/moveit/issues/2472>)
  * Upgrade cmake_minimum_required to 3.1 (#2453 <https://github.com/ros-planning/moveit/issues/2453>)
  * Add Pilz industrial motion planner (#1893 <https://github.com/ros-planning/moveit/issues/1893>)
  * Contributors: Pilz GmbH and Co. KG, Christian Henkel, Robert Haschke, Tyler Weaver, petkovich

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 08 Apr 2021 00:00:00 -0000

=== debian/control ===
Source: ros-one-pilz-industrial-motion-planner-testutils
Section: misc
Priority: optional
Maintainer: Alexander Gutenkunst <a.gutenkunst@pilz.de>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-moveit-core, ros-one-moveit-msgs, ros-one-tf2-eigen
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-one-pilz-industrial-motion-planner-testutils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-moveit-commander, ros-one-moveit-core, ros-one-moveit-msgs
Description: Helper scripts and functionality to test industrial motion generation

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-pilz-industrial-motion-planner-testutils//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-pilz-industrial-motion-planner-testutils 1.1.16-49jammy.20251208.1023

=== debian/changelog ===
ros-one-pilz-industrial-motion-planner-testutils (1.1.16-49jammy.20251208.1023) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 08 Dec 2025 10:23:14 +0000

## ros-one-pilz-industrial-motion-planner-testutils 1.1.16-49noble.20251023.1746

=== debian/changelog ===
ros-one-pilz-industrial-motion-planner-testutils (1.1.16-49noble.20251023.1746) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 23 Oct 2025 17:46:03 +0000

ros-one-pilz-industrial-motion-planner-testutils (1.1.16-0noble) noble; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-pilz-industrial-motion-planner-testutils (1.1.15-0noble) noble; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-pilz-industrial-motion-planner-testutils (1.1.14-0noble) noble; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 27 May 2024 00:00:00 -0000

ros-one-pilz-industrial-motion-planner-testutils (1.1.13-0noble) noble; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-pilz-industrial-motion-planner-testutils (1.1.12-0noble) noble; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sat, 13 May 2023 00:00:00 -0000

ros-one-pilz-industrial-motion-planner-testutils (1.1.11-0noble) noble; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-pilz-industrial-motion-planner-testutils (1.1.10-0noble) noble; urgency=high

  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Contributors: Michael Görner

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-pilz-industrial-motion-planner-testutils (1.1.9-0noble) noble; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-pilz-industrial-motion-planner-testutils (1.1.8-0noble) noble; urgency=high

  * Avoid downgrading default C++ standard (#3043 <https://github.com/ros-planning/moveit/issues/3043>)
  * Contributors: Jochen Sprickerhof

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-pilz-industrial-motion-planner-testutils (1.1.7-0noble) noble; urgency=high

  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Contributors: Jochen Sprickerhof

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-pilz-industrial-motion-planner-testutils (1.1.6-0noble) noble; urgency=high

  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Contributors: Robert Haschke, pvanlaar

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-pilz-industrial-motion-planner-testutils (1.1.5-0noble) noble; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 23 May 2021 00:00:00 -0000

ros-one-pilz-industrial-motion-planner-testutils (1.1.4-0noble) noble; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 12 May 2021 00:00:00 -0000

ros-one-pilz-industrial-motion-planner-testutils (1.1.3-0noble) noble; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-pilz-industrial-motion-planner-testutils (1.1.2-0noble) noble; urgency=high

  * Fix formatting errors
  * Replaced eigen+kdl conversions with tf2_eigen + tf2_kdl (#2472 <https://github.com/ros-planning/moveit/issues/2472>)
  * Upgrade cmake_minimum_required to 3.1 (#2453 <https://github.com/ros-planning/moveit/issues/2453>)
  * Add Pilz industrial motion planner (#1893 <https://github.com/ros-planning/moveit/issues/1893>)
  * Contributors: Pilz GmbH and Co. KG, Christian Henkel, Robert Haschke, Tyler Weaver, petkovich

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 08 Apr 2021 00:00:00 -0000

## ros-one-pilz-industrial-motion-planner-testutils 1.1.16-49noble.20251208.1703

=== debian/changelog ===
ros-one-pilz-industrial-motion-planner-testutils (1.1.16-49noble.20251208.1703) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 08 Dec 2025 17:03:58 +0000

## ros-one-pilz-industrial-motion-planner-testutils 1.1.16-50jammy.20260128.2334

=== debian/changelog ===
ros-one-pilz-industrial-motion-planner-testutils (1.1.16-50jammy.20260128.2334) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 28 Jan 2026 23:34:40 +0000

## ros-one-pilz-industrial-motion-planner-testutils 1.1.16-50noble.20260128.2352

=== debian/changelog ===
ros-one-pilz-industrial-motion-planner-testutils (1.1.16-50noble.20260128.2352) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Wed, 28 Jan 2026 23:52:48 +0000

## ros-one-pilz-industrial-motion-planner-testutils 1.1.16-51jammy.20260301.2335

=== debian/changelog ===
ros-one-pilz-industrial-motion-planner-testutils (1.1.16-51jammy.20260301.2335) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 01 Mar 2026 23:35:06 +0000

## ros-one-pilz-industrial-motion-planner-testutils 1.1.16-51noble.20260301.2326

=== debian/changelog ===
ros-one-pilz-industrial-motion-planner-testutils (1.1.16-51noble.20260301.2326) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Sun, 01 Mar 2026 23:26:39 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Alexander Gutenkunst <a.gutenkunst@pilz.de>
 Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-moveit-core, ros-one-moveit-msgs, ros-one-tf2-eigen
-Homepage: http://moveit.ros.org
+Homepage: http://moveit.ai
 Standards-Version: 3.9.2
 
 Package: ros-one-pilz-industrial-motion-planner-testutils
